import { mysqlDB } from "../../db/mysql/mysqlInit";

//指派表
class enterpriseClass {
    name:string//企业名称
    taskId:string//绑定的任务id
    uscc:string//统一信用代码
    fuHuaQiUscc:string//孵化器统一信用代码
    industry:string//领域 逗号隔开
    logonTime:number//注册时间
    firstIncubationTime:number//首次入孵时间
    timeOfImmigration:number//迁入时间
    isNaturalPersonHolding:boolean//是否自然人控股企业
    oldLogonAdd:string//迁入前注册地址
    logonAdd:string//注册地址
    operatingAdd:string//经营地址
    // isPhysicalPresence:boolean//是否实地孵化 暂时弃用
    leasedArea:number//租赁面积（平方米）
    draftLock:boolean//草稿锁，true为提交之后，false为草稿  默认=false
    createTime:number//录入时间

    /**表方法 */
    tableName;
    sql;
    moreTableSql;
    constructor(tableName:string) {
        this.tableName = tableName;
        /**单表查询语句 */
        enum sqlEnum {
            获取任务id相关的企业列表=``,
        }
        /**多表联查语句 */
        enum moreSqlEnum {
        }




        this.sql = sqlEnum;
        this.moreTableSql = moreSqlEnum;
    }

    
}

let appointModel = new enterpriseClass("enterprise");


// /**
//  * 通过taskId 获取此次任务添加的企业列表
//  * @param taskId 任务id 格式遵循tool中getTaskId
//  * @returns [{}]
//  */
// export async function findEnterpriseListByTaskId(taskId:string) {
//     mysqlDB.selectData();
//     return await enterpriseModel.find({taskId});
// }


// /**
//  * 将taskId的所有数据的draftLock字段为true
//  * @param taskId 任务id 格式遵循tool中getTaskId
//  */
// export async function updateEnterpriseDraftLock(taskId:string) {
//     return await enterpriseModel.update({taskId}, {$set:{draftLock:true}}, {upsert:true});
// }

// /**
//  * 通过企业统一信用代码获取企业信息
//  * 支持.save方法保存对象修改
//  * @param uscc 企业统一信用代码
//  * @returns {}
//  */
// export async function findEnterpriseByUscc(uscc:string) {
//     return await enterpriseModel.selectOnceData({uscc});
// }

// /**
//  * 创建新的企业数据
//  * @param fuHuaQiUscc 企业所属孵化器的统一信用代码
//  * @param taskId 任务id 格式遵循tool中getTaskId
//  * @param param 添加的字段对象
//  */
// export async function createEnterprise(fuHuaQiUscc:string, taskId:string, param) {
//     let addInfo = Object.assign({fuHuaQiUscc, taskId, createTime:new Date().valueOf()}, param);
//     await enterpriseModel.create(addInfo);
// }


// /**
//  * 查找孵化器所拥有的企业数量
//  * @param fuHuaQiUscc 孵化器统一信用代码
//  * @returns 
//  */
// export async function findEnterpriseCountByFuHuaQiUscc(fuHuaQiUscc:string) {
//     return await enterpriseModel.count({fuHuaQiUscc}).exec();
// }

// /**
//  * 聚合查询 孵化器所拥有的企业数量
//  * @returns {} key=孵化器统一信用 value=企业数量
//  */
// export async function groupFindEnterprise() {
//     let match = {draftLock:true};//前置条件
//     let dataList = await enterpriseModel.aggregate([{$match:match},{$group:{_id:"$fuHuaQiUscc",count:{$sum:1}}}]).exec();
//     let result = {};
//     dataList.forEach(info => {
//         let {_id, count} = info;
//         result[_id] = count;
//     });
//     return result;
// }


// /**
//  * 删除创建企业的草稿报表
//  * @param uscc 企业统一信用代码
//  */
// export async function deleteEnterprise(uscc:string) {
//     return await enterpriseModel.deleteOne({uscc:uscc}).exec();
// }


// /**
//  * 获取所有孵化器
//  * @param selectParam 查询参数
//  * @param skipCount 跳过数量
//  * @returns [] 孵化器列表
//  */
//  export async function findEnterpriseList(selectParam, skipCount) {
//     return await enterpriseModel.find(selectParam).skip(skipCount).limit(10);
// }

// /**
//  * 获取所有孵化器
//  * @param selectParam 查询参数
//  * @returns number 数据数量
//  */
//  export async function findEnterpriseCount(selectParam) {
//     return await enterpriseModel.find(selectParam).count();
// }


// /**
//  * 通过企业名称获取企业信息
//  * @param selectParam 查询参数
//  * @returns number 数据数量
//  */
// export async function findEnterpriseInfoByName(name:string) {
//     return await enterpriseModel.findOne({name});
// }


// /**
//  * todo 注释后加
//  * @param selectParam 查询参数
//  * @returns number 数据数量
//  */
// export async function findEnterpriseListByFuHuaQiUsccName(fuHuaQiUscc:string) {
//     return await enterpriseModel.find({fuHuaQiUscc});
// }
